{% extends 'admin/adminbase.html.twig' %}
{% import "macros/genCard.html.twig" as card %}
{% import "macros/datatable.html.twig" as dt %}
{% block moreCss %}

{% endblock %}
{% block body %}
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
        // google.charts.load('current', {'packages': ['corechart']});
        // google.charts.setOnLoadCallback(drawChart);
        // google.charts.setOnLoadCallback(drawChart1);
        //
        // function drawChart1() {
        //     var data = google.visualization.arrayToDataTable([
        //         ["Element", "Density", {role: "style"}],
        //         ["Copper", 8.94, "#b87333"],
        //         ["Silver", 10.49, "silver"],
        //         ["Gold", 19.30, "gold"],
        //         ["Platinum", 21.45, "color: #e5e4e2"]
        //     ]);
        //
        //     var view = new google.visualization.DataView(data);
        //     view.setColumns([0, 1,
        //         {
        //             calc: "stringify",
        //             sourceColumn: 1,
        //             type: "string",
        //             role: "annotation"
        //         },
        //         2]);
        //
        //     var options = {
        //         title: "Density of Precious Metals, in g/cm^3",
        //         width: 600,
        //         height: 400,
        //         bar: {groupWidth: "95%"},
        //         legend: {position: "none"},
        //     };
        //     var chart = new google.visualization.ColumnChart(document.getElementById("columnchart_values"));
        //     chart.draw(view, options);
        // }
        //
        // function drawChart() {
        //     var data = google.visualization.arrayToDataTable([
        //         ['Year', 'Sales', 'Expenses'],
        //         ['2013', 1000, 400],
        //         ['2014', 1170, 460],
        //         ['2015', 660, 1120],
        //         ['2016', 1030, 540]
        //     ]);
        //
        //     var options = {
        //         title: 'Company Performance',
        //         hAxis: {title: 'Year', titleTextStyle: {color: '#333'}},
        //         vAxis: {minValue: 0}
        //     };
        //
        //     var chart = new google.visualization.AreaChart(document.getElementById('chart_div'));
        //     chart.draw(data, options);
        // }
    </script>
    <h5>Pengajar</h5>
    <div class="row mb-5">
        <div class="col col-lg-3 col-md-6">
            {{ card.card_notif('Total Pengajar') }}
        </div>
        <div class="col col-lg-3 col-md-6">
            {{ card.card_notif('Pengajar Baru') }}
        </div>
        <div class="col col-lg-3 col-md-6">
            {{ card.card_notif('Pengajar Terverifikasi') }}
        </div>
        <div class="col col-lg-3 col-md-6">
            {{ card.card_notif('Pengajar Profesional') }}
        </div>
    </div>
    <div class="row justify-content-end" style="">
        <div class=" text-right">
            <div id="reportrange" class="mb-3" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc;">
                <i class="fa fa-calendar"></i>&nbsp;
                <span></span> <i class="fa fa-caret-down"></i>
            </div>
        </div>
    </div>


    <div class="card card-genossys">

        {{ dt.datatable }}
    </div>


    {#    <div id="chart_div" style="width: 100%; height: 500px;"></div>#}
    {#    <div id="columnchart_values" style="width: 900px; height: 300px;"></div>#}

{% endblock %}

{% block javascripts %}
    <script src="{{ asset('etc/js/setdatepicker.js') }}" type="application/javascript"></script>

    <script>

        $(document).on("click", "a#detailData", function () {
            var id = $(this).data('cred');
            var url = '{{ path("pengajar-detail",{id:"no"}) }}';
            url = url.replace("no", id);
            $(this).attr('href', url);
        });

        {{ card.card_notifJS('Total Pengajar','get-total-pengajar','' ) }}
        {{ card.card_notifJS('Pengajar Baru','get-count-new-tentor', '') }}
        {{ card.card_notifJS('Pengajar Terverifikasi','get-total-pengajar-verified','') }}
        {{ card.card_notifJS('Pengajar Profesional','get-total-pengajar-profesional','') }}

        function param(start, end, tipe) {
            datatest = {
                parameter: tipe,
                start: start,
                end: end
            };

            {{ card.card_notifJS('Total Pengajar','get-total-pengajar','' ) }}
            {{ card.card_notifJS('Pengajar Baru','get-count-new-tentor','' ) }}
            {{ card.card_notifJS('Pengajar Terverifikasi','get-total-pengajar-verified','') }}
            {{ card.card_notifJS('Pengajar Profesional','get-total-pengajar-profesional','') }}
            {#console.log('{{ data }}');#}
        }

    </script>
    {{ dt.datatableJS(class, space, tableAction, tableFields,where,groupBy,'yes','yes') }}


{% endblock %}